commit:     8ad50bac99a38b8f8e8fb7f697ab4d25d76c2096
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 12 04:37:18 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Apr 12 04:38:31 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ad50bac

dev-python/phonenumbers: Bump to 9.0.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/phonenumbers/Manifest                  |  1 +
 dev-python/phonenumbers/phonenumbers-9.0.3.ebuild | 39 +++++++++++++++++++++++
 2 files changed, 40 insertions(+)

diff --git a/dev-python/phonenumbers/Manifest b/dev-python/phonenumbers/Manifest
index 0333bf2512f9..116204936961 100644
--- a/dev-python/phonenumbers/Manifest
+++ b/dev-python/phonenumbers/Manifest
@@ -1,2 +1,3 @@
 DIST python-phonenumbers-9.0.1.gh.tar.gz 4916504 BLAKE2B 
838bc9a91820b92b4e96641b0c1a7fb8a801d67ca2d8f6b1072d55dbf1b22548540d5e7f89e8d64a00645da7457decc3deca6e7ca652dd2a8cc1a110c0f1e54c
 SHA512 
891cde8694f8a8f10cba7b10e505257608c6374aca646b18065aee6b952ed7781305428eab9416156d8b1ff6492b4bb8f6a5789c6a1edfe6c21a1b9bab2fc2e1
 DIST python-phonenumbers-9.0.2.gh.tar.gz 4915753 BLAKE2B 
39b0f69b9f2728e7a1b1bdae7ba46972b31a876f63823be30b9fa533d6489c3fc936587e88c4580495d35bf2245793102ebbd37ab382d6ecc5157e6e1c9cc5f0
 SHA512 
26cceb6db96f39a5b4d440ab3b9526f4094c41c2c4787a7ab387ae6d0b4d908058d87bf40bbcf2ed8784eb835339332b5ee3b1ca52fe7eb595860b0d7e5d1c7c
+DIST python-phonenumbers-9.0.3.gh.tar.gz 4915936 BLAKE2B 
d7c1ee56a260c67f808e15738e7f315770df049bdb9ff831f5c57a39eae34e6d69846e58f2ae68003c5d47b2c0748abc5d9c5c20e07e5b253426de2666f3f780
 SHA512 
474de0a960bb3a2aa833b17a8457dbe6c59ad8451af24239cc23db721d5ce209cb4f5aec5b72472ae0815575774401392896b57bc91c1ff0a24284ec3217a582

diff --git a/dev-python/phonenumbers/phonenumbers-9.0.3.ebuild 
b/dev-python/phonenumbers/phonenumbers-9.0.3.ebuild
new file mode 100644
index 000000000000..f254b819cb2e
--- /dev/null
+++ b/dev-python/phonenumbers/phonenumbers-9.0.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit distutils-r1
+
+MY_P=python-${P}
+DESCRIPTION="Python port of Google's libphonenumber"
+HOMEPAGE="
+       https://github.com/daviddrysdale/python-phonenumbers/
+       https://pypi.org/project/phonenumbers/
+"
+SRC_URI="
+       
https://github.com/daviddrysdale/python-phonenumbers/archive/v${PV}.tar.gz
+               -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}/python
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-python/protobuf[${PYTHON_USEDEP}]
+       )
+"
+
+DOCS=( ../README.md )
+
+python_test() {
+       "${EPYTHON}" testwrapper.py -v || die "Tests failed with ${EPYTHON}"
+}

Reply via email to